package com.mycompany.commerce.project.facade.client;

/**
 * <p>This class provides common methods that this and other utility classes to the ExternalProject
 * facade can use.</p> 
 */
public class ExternalProjectFacadeClient extends AbstractExternalProjectFacadeClient {
	
	
	// ==============================================================================
	// Constants for logging and tracing.
	// ==============================================================================

	private static final String CLASSNAME = ExternalProjectFacadeClient.class.getName();
	private static final java.util.logging.Logger LOGGER = com.ibm.commerce.foundation.common.util.logging.LoggingHelper.getLogger(ExternalProjectFacadeClient.class);	
	
	// ==============================================================================
	// Constructors for the client to the ExternalProject facade.
	// ==============================================================================
	
	/**
	 * Creates an instance of the client to communicate with the Project facade.
	 */
	public ExternalProjectFacadeClient() {
		super();
	}
	/**
	 * Creates an instance of the client to communicate with the ExternalProject facade.
	 * @param businessContext The default business context to associate with the messages
	 * when making requests.
	 * @param callbackHandler Used for authentication purposes so the controller can give
	 * the authentication information to the transport when required.
	 */
	public ExternalProjectFacadeClient(com.ibm.commerce.foundation.common.datatypes.BusinessContextType businessContext,
			javax.security.auth.callback.CallbackHandler callbackHandler) {
		super(businessContext, callbackHandler);
	}	
		
}