package com.mycompany.commerce.project.facade.client;

/**
 * This exception represents a business error describing why the request failed.  This exception is thrown when
 * the ProjectCollection service returns error information.
 */
public class ProjectCollectionException extends com.ibm.commerce.foundation.client.facade.bod.AbstractBusinessObjectDocumentException {

	
	/**
	 * Creates an instance of the ProjectCollection exception.
	 * @param changeStatus The error information that is contained in the <code>ChangeStatus</code>
	 * element of the respond or acknowledge verb.
	 * @param verb The returning verb.
	 * @param projectcollections The list of ProjectCollection that is associated with the response.
	 */
	public ProjectCollectionException(com.ibm.commerce.oagis9.datatypes.ChangeStatusType changeStatus, com.ibm.commerce.oagis9.datatypes.VerbType verb, java.util.List projectcollections) {
		super(changeStatus, verb, projectcollections);
	}
	/**
	 * Creates an instance of the ProjectCollection exception.
	 * @param clientErrors The client errors to associate with the exception.  These client
	 * error represent client side parameter validation that cause the exception.
	 */
	public ProjectCollectionException(java.util.List clientErrors) {
		super(clientErrors);
	}
	/**
	 * Returns the ProjectCollection that is associated with the response of the request.
	 * @return The list of ProjectCollection found in the response.
	 */
	public java.util.List getProjectCollection() {
		return getNouns();
	}
}
