package com.mycompany.commerce.project.facade.client;

/**
 * This exception represents a business error describing why the request failed.  This exception is thrown when
 * the Project service returns error information.
 */
public class ProjectException extends com.ibm.commerce.foundation.client.facade.bod.AbstractBusinessObjectDocumentException {

	
	/**
	 * Creates an instance of the Project exception.
	 * @param changeStatus The error information that is contained in the <code>ChangeStatus</code>
	 * element of the respond or acknowledge verb.
	 * @param verb The returning verb.
	 * @param projects The list of Project that is associated with the response.
	 */
	public ProjectException(com.ibm.commerce.oagis9.datatypes.ChangeStatusType changeStatus, com.ibm.commerce.oagis9.datatypes.VerbType verb, java.util.List projects) {
		super(changeStatus, verb, projects);
	}
	/**
	 * Creates an instance of the Project exception.
	 * @param clientErrors The client errors to associate with the exception.  These client
	 * error represent client side parameter validation that cause the exception.
	 */
	public ProjectException(java.util.List clientErrors) {
		super(clientErrors);
	}
	/**
	 * Returns the Project that is associated with the response of the request.
	 * @return The list of Project found in the response.
	 */
	public java.util.List getProject() {
		return getNouns();
	}
}
